Package Details: wsjtx-git r9504.c3579831b-1

Git Clone URL: https://aur.archlinux.org/wsjtx-git.git (read-only, click to copy)
Package Base: wsjtx-git
Description: Software for Amateur Radio Weak-Signal Communication (JT9 and JT65)
Upstream URL: http://physics.princeton.edu/pulsar/k1jt/wsjtx.html
Keywords: amateur ft8 ham jt65 k1jt radio want wsjtx
Licenses: GPL3
Conflicts: wsjtx
Provides: wsjtx
Submitter: KI9N
Maintainer: KI9N
Last Packager: KI9N
Votes: 5
Popularity: 0.030939
First Submitted: 2018-06-08 01:00 (UTC)
Last Updated: 2022-10-07 23:53 (UTC)

Pinned Comments

Latest Comments

not_anonymous commented on 2022-07-01 01:07 (UTC) (edited on 2022-07-01 01:09 (UTC) by not_anonymous)

I had NO problems with this PKGBUILD....on BOTH a Manjaro AND a stock ArchLinux system. (Manjaro was built up in the last day or so, and ArchLinux in the past few minutes.) Seems to run as well. MNY THNXS OM for making this PKGBUILD available. (Oh, BTW, I am using hamlib-git for rig control, which is also FB OM.)

babatong commented on 2022-06-20 15:44 (UTC) (edited on 2022-06-20 15:50 (UTC) by babatong)

Unfortunately this no longer builds:

[ 66%] Linking CXX executable jt65sim
/build/wsjtx-git/src/wsjtx/lib/rs.h:17:5: error: type of ‘decode_rs_int’ does not match original declaration [-Werror=lto-type-mismatch]
   17 | int decode_rs_int(void *rs,int *data,int *eras_pos,int no_eras);
      |     ^
/build/wsjtx-git/src/wsjtx/lib/ftrsd/decode_rs.c:24:5: note: type mismatch in parameter 5
   24 | int DECODE_RS(
      |     ^
/build/wsjtx-git/src/wsjtx/lib/ftrsd/decode_rs.c:24:5: note: type ‘int’ should match type ‘void’
/build/wsjtx-git/src/wsjtx/lib/ftrsd/decode_rs.c:24:5: note: ‘decode_rs_int’ was previously declared here
/build/wsjtx-git/src/wsjtx/lib/rs.h:18:7: error: type of ‘init_rs_int’ does not match original declaration [-Werror=lto-type-mismatch]
   18 | void *init_rs_int(int symsize,int gfpoly,int fcr,
      |       ^
/build/wsjtx-git/src/wsjtx/lib/ftrsd/init_rs.c:32:7: note: type mismatch in parameter 1
   32 | void *INIT_RS(unsigned int symsize,unsigned int gfpoly,unsigned fcr,unsigned prim,
      |       ^
/build/wsjtx-git/src/wsjtx/lib/ftrsd/init_rs.c:32:7: note: type ‘unsigned int’ should match type ‘int’
/build/wsjtx-git/src/wsjtx/lib/ftrsd/init_rs.c:32:7: note: ‘init_rs_int’ was previously declared here
lto1: all warnings being treated as errors
lto-wrapper: fatal error: /usr/bin/c++ returned 1 exit status
compilation terminated.
/usr/bin/ld: error: lto-wrapper failed
collect2: error: ld returned 1 exit status
make[2]: *** [CMakeFiles/jt65sim.dir/build.make:107: jt65sim] Error 1
make[1]: *** [CMakeFiles/Makefile2:397: CMakeFiles/jt65sim.dir/all] Error 2
make: *** [Makefile:156: all] Error 2

Can't really see any complaints about this upstream, so will raise it there unless anyone here has any ideas about it being arch-specific.

Additionally, I'm not sure the way the translation_fix patch file is applied is ideal. It should probably be added to to the source and md5sums arrays respectively, and then have the path of the patch file adjusted in the prepare() function (down to a single ../ ).

KI9N commented on 2021-07-20 23:28 (UTC)

@babatong, Thank you. It's updated

babatong commented on 2021-07-20 22:49 (UTC) (edited on 2021-07-20 22:53 (UTC) by babatong)

Missing boost and portaudio as makedepends in PKGBUILD

hk4adj commented on 2017-01-24 17:43 (UTC) (edited on 2017-01-24 18:11 (UTC) by hk4adj)

Hello, it fails to compile and install here: [ 36%] Building CXX object CMakeFiles/wsjt_qt.dir/HamlibTransceiver.cpp.o /tmp/yaourt-tmp-a/aur-wsjtx-svn/src/wsjtx/HamlibTransceiver.cpp: In member function ‘virtual int HamlibTransceiver::do_start()’: /tmp/yaourt-tmp-a/aur-wsjtx-svn/src/wsjtx/HamlibTransceiver.cpp:550:66: error: ‘RIG_PASSBAND_NOCHANGE’ was not declared in this scope rig_set_mode (rig_.data (), RIG_VFO_CURR, dummy_mode_, RIG_PASSBAND_NOCHANGE); FOR IT TO COMPILE IS REQUIRED THE USE OF HAMLIB_GIT ^~~~~~~~~~~~~~~~~~~~~ make[2]: *** [CMakeFiles/wsjt_qt.dir/build.make:668: CMakeFiles/wsjt_qt.dir/HamlibTransceiver.cpp.o] Error 1 make[1]: *** [CMakeFiles/Makefile2:597: CMakeFiles/wsjt_qt.dir/all] Error 2 make: *** [Makefile:150: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build wsjtx-svn. FOR IT TO COMPILE IS REQUIRED THE USE OF HAMLIB_GIT

nulloranje commented on 2016-08-14 01:41 (UTC)

Get the following error when building with hamlib or hamlib-git: -- Checking for module 'hamlib' -- Found hamlib, version 3.1~git -- Found hamlib CMake Error at /usr/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:148 (message): Could NOT find hamlib (missing: hamlib_LIBRARY_DIRS) (Required is at least version "3") Call Stack (most recent call first): /usr/share/cmake-3.6/Modules/FindPackageHandleStandardArgs.cmake:388 (_FPHSA_FAILURE_MESSAGE) CMake/Modules/Findhamlib.cmake:81 (find_package_handle_standard_args) CMakeLists.txt:883 (find_package)

maze commented on 2016-02-14 08:30 (UTC)

Hamlib has been upgraded to 3.x, please test.